<?php
if (isset($_POST['Email'])) {

    // EDIT THE 2 LINES BELOW AS REQUIRED
    //This is the email address that the from will send to. The second line is the subject that every email from your from will have.
    $email_to = "mganschow@tmcc.edu";
    $email_subject = "The GRC 275 Class Discussion Form is Emailing You";

    function problem($error)
    {
        echo "We are very sorry, but there were error(s) found with the form you submitted. ";
        echo "These errors appear below.<br><br>";
        echo $error . "<br><br>";
        echo "Please go back and fix these errors.<br><br>";
        die();
    }

    // validation expected data exists. This is looking to see which of the inputs you filled out
    if (
        !isset($_POST['Name']) ||
        !isset($_POST['Email']) ||
        !isset($_POST['Phone']) ||
        !isset($_POST['Web']) ||
        !isset($_POST['Bloviate'])
    ) {
        problem('We are sorry, but there appears to be a problem with the form you submitted.');
    }

    //These guys are establish varibles for future use in the PHP. For example the $name variable is being attached to information that comes from the "Name" input.
    $name = $_POST['Name']; // required
    $email = $_POST['Email']; // required
    $telephone = $_POST['Phone'];
    $web = $_POST['Web'];
    $message = $_POST['Bloviate']; // required
    
    // This is checking the email to make sure it includes only letters and numbers, an "@" symbol, more letters and numbers, and a top level domain.
    $error_message = "";
    $email_exp = '/^[A-Za-z0-9._%-]+@[A-Za-z0-9.-]+\.[A-Za-z]{2,4}$/';

    //If it doesn't, it will throw this error.
    if (!preg_match($email_exp, $email)) {
        $error_message .= 'The Email address you entered does not appear to be valid.<br>';
    }

    //This checks the other fields for any special characters.
    $string_exp = "/^[A-Za-z .'-]+$/";

    //If the $name (data from the "Name" input) does not match, it throws this error.
    if (!preg_match($string_exp, $name)) {
        $error_message .= 'The Name you entered does not appear to be valid.<br>';
    }

    //If the $message (data from the "Message" text area) does not match, it throws this error.
    if (strlen($message) < 2) {
        $error_message .= 'The Message you entered do not appear to be valid.<br>';
    }

    if (strlen($error_message) > 0) {
        problem($error_message);
    }

    //Once everything is clean. It can start putting the email together. This is the text that will appear above your inputs in the email.
    $email_message = "Read if you dare? \n\n";

    //This cleans the email of any attempts to send it anywhere other then the email you specify at the top
    function clean_string($string)
    {
        $bad = array("content-type", "bcc:", "to:", "cc:", "href");
        return str_replace($bad, "", $string);
    }

    //This formats the varaiable data from your email. For example the $name variable (data from the "Name" input) will be placed in the email with "Name:" in front of it.
    $email_message .= "Name: " . clean_string($name) . "\n";
    $email_message .= "Email: " . clean_string($email) . "\n";
    $email_message .= "Telephone: " . clean_string($telephone) . "\n";
    $email_message .= "Website: " . clean_string($web) . "\n";
    $email_message .= "Message: " . clean_string($message) . "\n";

    // create email headers. This generates everything needed to send the email. Note how the from address is the data from the $email variable. This enables easy responses to emails from the form.
    $headers = 'From: ' . $email . "\r\n" .
        'Reply-To: ' . $email . "\r\n" .
        'X-Mailer: PHP/' . phpversion();
    @mail($email_to, $email_subject, $email_message, $headers);
?>

    <!-- include your success message below. This si what will show in the browser window when they successfully send an email. -->

    Oh wow! You sent an email. Here's a delicious ducknana for your trouble.

    <br>

    <br>

    <img src="images/quacknanna.jpg" alt="You sure you wanna see this? It'll make you go blind again.">

<?php
}
?>